QGIS Application - Bug report #2127
NG Symbol property color change freezes qgis
2009-11-20 10:23 AM - John Tull

Status: Closed
Priority: Low
Assignee: Martin Dobias
Category: Symbology

Affected QGIS version:
Operating System: OS X
Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: invalid

Copied to github as #: 12187

Description

On my OS X machine with qt-4.6, trying to change the color for a vector layer using ng-symbology's is freezing the application. Upon
further testing, it appears to be an intermittent issue. For example, changing the fill color on a polygon layer will work, from the "Change"
button on the main symbology window. But opening the Properties dialog and changing the color from the Symbol properties dialog will

cause the freeze. This makes it impossible to create new symbol styles or do more than change the fill color for the default polygon

symbol.

History

#1 - 2009-11-21 07:01 PM - John Tull

I built qgis from trunk on ubuntu 9.10 with gt-4.6.0rc, and there were no problems with the color selector. It appears that this is an OS X only issue.

#2 - 2009-11-21 07:17 PM - John Tull

| believe this might be a qt error, although | am not entirely confident of this. What is still bothering me is why it occurs for some color pick operations, but

not others. E.g., changing polygon or line colors in old symbology has not impact, but changes in the style manager cause the hang.

http://gt.gitorious.org/+qt-s60-developers/qt/gt-s60/commit/639b9c0286f0f2d5e50121df8d4125f029074510

#3 - 2009-11-22 03:48 PM - John Tull
- Resolution set to invalid

- Status changed from Open to Closed

I built gt-4.6 from the git repository, and the bug no longer occurs. Scratch this up to a gt bug that will be fixed by the time they release qgt-4.6. I've marked

this as an invalid bug as it is not related to qgis code.

2024-04-27

1/1



http://qt.gitorious.org/+qt-s60-developers/qt/qt-s60/commit/639b9c0286f0f2d5e50121df8d4125f029074510

